/**
 * Author: @dvdsmpsn
 */



if (typeof String.prototype.startsWith != 'function') {
    // see below for better implementation!
    String.prototype.startsWith = function (str){
        return this.indexOf(str) == 0;
    };
}

function getRequestParameter(name){
    if(name=(new RegExp('[?&]'+encodeURIComponent(name)+'=([^&]*)')).exec(location.search))
        return decodeURIComponent(name[1]);
}

$(function() {

    /**
     * Move the navigation into the correct position
     */
    $('#tabs-navigation').append($('nav#nav'));



    /**
     * Create a pagetree-style memnu
     */

    // the pageId of the current page
    var pageIdSelector = '#n-' + $('#tabs-navigation').attr('data-current-page-id');

    if ($('body.space').length > 0) { // open the first menu item
        pageIdSelector = '#' + $('#tabs-navigation li:first').attr('id');

        $(pageIdSelector).addClass('normal');
    }

    // the value of the initially_open and initially_select properties should be an ID of the current page

    $('nav#nav').jstree({
        core: {
            initially_open: [pageIdSelector]
        },
        ui: {
            initially_select: [pageIdSelector]
        },
        themes: {
            theme: 'default',
            dots: false,
            icons: false
        },
        plugins: ['ui', 'themes', 'html_data']
    });
    $('nav#nav').delegate("a", "click", function (e) {
        document.location.href = this;
    });


    /**
     * Recreate the AUI tabs functionality
     */

    $('.aui-tabs .menu-item').on('click', function(e) {
        $(this).addClass('active-tab').siblings().removeClass('active-tab');
        var focusPaneSelector = $(this).find('a:first').attr('href');
        $(focusPaneSelector).addClass('active-pane').siblings('.tabs-pane').removeClass('active-pane');

        e.preventDefault();
    });

    $('a[href="#tabs-search"]').on('click', function(e) {
        setTimeout(function(){
            $('#lunrSearch'/*'#zoom_searchbox'*/).focus();
        }, 50);
    });

    if (location.search.startsWith('?zoom_query=')) {
        $('a[href="#tabs-search"]').click();

        $('#zoom_searchbox').val( getRequestParameter('zoom_query'));
    }

    /**
     * Fix youtube embeds
     */
    $('.youtube-player').each(function () {
        $(this).attr('src', 'http:'+$(this).attr('src'))
    });
});